package com.sw.mes.yb.seed.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.seed.dao.SeedGroupBracketDetailsDao;
import com.sw.mes.yb.seed.entity.SeedGroupBracketDetails;
import com.sw.mes.yb.seed.service.SeedGroupBracketDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SeedGroupBracketDetailsServiceImpl  extends BaseServiceImpl<SeedGroupBracketDetails> implements SeedGroupBracketDetailsService {
    private SeedGroupBracketDetailsDao dao;
    @Autowired
    public void setDao(SeedGroupBracketDetailsDao dao) {
        this.dao = dao;
        super.setBaseDao(dao);
    }

    @Override
    public List<SeedGroupBracketDetails> findParentId(Long id) {
        return dao.findParentId(id);
    }

    @Override
    public List<SeedGroupBracketDetails> findBatchNo(String batchNo) {
        return dao.findBatchNo(batchNo);
    }

    @Override
    public List<SeedGroupBracketDetails> findBatchNoAndStatus(String batchNo) {
        return dao.findBatchNoAndStatus(batchNo);
    }

    @Override
    public Boolean deleteParentId(Long id) {
        return dao.deleteParentId(id);
    }

    @Override
    public SeedGroupBracketDetails findBySeedCode(String seedCode) {
        return dao.findBySeedCode(seedCode);
    }
}
